package fan.view;

import java.util.Scanner;

import fan.control.ArtisteControlService;

public class Menu {
	private final static String QUIT_KEY = "quit";

	Scanner sc;

	Menu() {
		sc = new Scanner(System.in);
	}

	public void run() {
		String input = "";
		do {
			this.printGeneralMenu();
			input = this.sc.next();
			this.userChoice(input);
		} while (!Menu.QUIT_KEY.equals(input));
		System.out.println("Bye Bye !");
	}

	private void printGeneralMenu() {
		System.out.println("Bienvenue sur le logiciel de gestion de l'association FanForever.");
		System.out.println("\t- Tapez '0' pour ajouter des artistes");
		System.out.println("\t- Tapez '1' pour afficher les artistes");
		System.out.println("\t- Tapez 'quit' pour quitter le programme");
	}

	private void userChoice(String input) {
		switch (input) {
		case "0":
			this.addArtiste();
			break;
		case "1":
			String output = Excutable.ARTISTECONTROLSERVICE.showArtiste();
			System.out.println(output);
			break;
		case Menu.QUIT_KEY:
			break;
		default:
			System.out.println("Le choix : " + input + " est impossible !");
		}
	}

	private void addArtiste() {
		System.out.println("Nom ?");
		String name = sc.next();
		System.out.println("Prnom ?");
		String firstName = sc.next();
		System.out.println("Talent ?");
		String talent = sc.next();
		try {
			Excutable.ARTISTECONTROLSERVICE.addArtiste(name, firstName, talent);
		} catch (IllegalArgumentException exception) {
			System.out.println(exception.getMessage());
		}
	}

	private void notImplementYet() {
		System.out.println("La fonction n'est pas encore implment");
	}
}
